[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Fields

Indexed access to the fields of the dataset.

## Declaration

Source position: db.pas line 1615

`public property TDataSet.Fields: Tfields read FFieldList;`

## Description

Fields provides access to the fields of the dataset. It is of type TFields and therefore gives indexed access to the fields, but also allows other operations such as searching for fields based on their names or getting a list of fieldnames.

## See also

TFieldDefs |  | Collection of TFieldDef instances.
TField |  | Provide access to the contents of a single field in a record

The latest version of this document can be found at lazarus-ccr.sourceforge.net.